Subject: Re: linux-next: build failure after merge of the luto-misc tree

From: Peter Zijlstra <[email-masked]>
Date: Fri, 15 Jul 2016 09:31:19 +0200

On Fri, Jul 15, 2016 at 09:22:43AM +0200, Peter Zijlstra wrote:
> On Fri, Jul 15, 2016 at 05:06:54PM +1000, Stephen Rothwell wrote:
> > interacting with commit
> > 
> >   2a00f026a15d ("tools: Fix up BITS_PER_LONG setting")
> > 
> > from the tip tree.
> 
> Yuck.. that thing is horrid :/
> 
> What's wrong with so?
> 
> And if you really want to retain CONFIG_64BIT (because other headers
> might want it, and they currently do not) then do something like:
> 
> #ifdef __LP64__
> #define CONFIG_64BIT
> #else
> #define CONFIG_32BIT
> #endif
> 
> All GCC versions I checked have __CHAR_BIT__ and __SIZEOF_LONG__.
> 
> (and I checked most everything from 4.4 - 6.1)

clang-3.8 also defines all three of those, and I don't consider that a
usable compiler as it doesn't even build a kernel.